<?
define('PROTECTOR', 1);

$headmod = 'olimp';//фикс. места

$textl='Турнир';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
$date = date("d.m.y");


switch($_GET[mod]){

default:
echo"<b>Здравствуй, $log!</b><br/>
Турнир начинается каждый понедельник и заканчивается в субботу!</font><br/><br/>";


$file=@file("data/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<a href=\"olimp.php?mod=sdat\">Сдать души</a><br/>";
$start="no";
}}if(empty($start)){
echo"<a href=\"olimp.php?mod=start\">Регистрироваться</a> (1000 монет)<br/>";
}
echo"<a href=\"olimp.php?mod=about\">О турнире</a>";

$file=@file("data/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
$data2[3]=$row['kol'];

$koll=$data[1];

$all=$row['kol']+$koll;

$text="$log||$all||";

echo"<br/>Вы сдали всего $all душ";

}}

$file=@file("data/olimpiada.dat");
$total=count($file);
if(@file("data/olimpiada.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

}


echo"<br/>Всего принимают участие: $total";
}else{echo"<br/>Участников нет";
}





break;
case 'about':

echo"Турнир начинаеться каждый понедельник и заканчивается в субботу, для участия в турнире нужно зарегистрироваться! После регистрации в локациях с монстров падают  души (но не всегда), кто больше насобирает - тот и будет победителем.<br>Результаты турнира будут известны в субботу в 00:00 по игровому времени!<br>В период с понедельника по субботу (включительно) вы сможете сдавать души, в случае если вы их не сдали - они не будут засчитываться!<br>
<br>Призовые места:<br>
1 - место 10 алмазов<br>
2 - место 10000 монет<br>
3 - место 5000 монет";

echo'<hr>';  echo "<a href=\"olimp.php?\"> Вернуться</a><br>";

break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"Турнир проводиться c понедельника по субботу!";
echo'<br/>';  echo "<a href=\"olimp.php?\"> Вернуться</a><br>";
include_once"files/down.php";
 exit; }

$req = mysql_query("SELECT * FROM `turnir` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'Вы уже подали заявку!';
echo'<br/>';  echo "<a href=\"olimp.php?\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;
}

if($udata['money']<1000){
echo" У вас не хватает монет!";
echo'<br/>';  echo "<a href=\"olimp.php?\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;
}
$udata[money]=$udata[money]-1000;//mony

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

mysql_query("INSERT INTO
        `turnir` SET
        `lat_name` = 'dusha',
        `usr` = '$log'");


$text="$log||0||";

$fp=fopen("data/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

mysql_query("DELETE FROM `res` WHERE `usr` = '$log' and `lat_name`='kristalsss'");

echo"<b>Заявка подана</b><br/>
Вы успешно подали заявку на турнир! ";
echo'<br/>';  echo "» <a href=\"olimp.php?\"> Вернуться</a><br>";


case 'sdat':

$date=date("D");

if($date=="Sun"){echo"Турнир проводиться c понедельника по субботу!";
echo'<br/>';  echo "<a href=\"olimp.php?\"> Вернуться</a><br>";
include_once"files/down.php";
exit; }



$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = 'dusha' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo'У вас 0 душ';
echo'<br/>';
echo " <a href=\"olimp.php?mod=lib2\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;}


$file=@file("data/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$req = mysql_query("SELECT * From `res` WHERE `usr`='$log'  and `lat_name`='dusha' ");
while($row=mysql_fetch_array($req))
{
$data2[3]=$row['kol'];

$koll=$data[1];

$all=$row['kol']+$koll;

$text="$log||$all||";

$fp=fopen("data/olimpiada.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("data/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }

mysql_query("UPDATE `res` SET `kol`='0' WHERE `usr`='$log' and `lat_name`='dusha'");
mysql_query("DELETE FROM `res` WHERE `usr` = '$log' and `lat_name`='dusha' and `kol`='0'");
echo"Вы сдали всего  $all душ";
echo'<br/>';  echo " <a href=\"olimp.php?\"> Вернуться</a><br>";
}}


break;
}

include_once"files/down.php";
?>